changeset 15:118ecc51e1d2

support for multiple targets: gtamodem and fcdev3b
author Mychaela Falconia <falcon@freecalypso.org>
date Fri, 23 Sep 2016 05:45:46 +0000
parents 91fb52ecb228
children 68de2b16cf0d
files g23m/__out__/gsm_ac_gp_fd_pu_em_cph_ds_vc_cal35_ri_36_amd8_ts0/lib/main-fchw.lib g23m/__out__/gsm_ac_gp_fd_pu_em_cph_ds_vc_cal35_ri_36_amd8_ts0/lib/main-orig.lib g23m/__out__/gsm_ac_gp_fd_pu_em_cph_ds_vc_cal35_ri_36_amd8_ts0/lib/main.lib g23m/select_target.sh g23m/targets/fcdev3b.h g23m/targets/fcdev3b.inc g23m/targets/gtamodem.h g23m/targets/gtamodem.inc
diffstat 8 files changed, 31 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
Binary file g23m/__out__/gsm_ac_gp_fd_pu_em_cph_ds_vc_cal35_ri_36_amd8_ts0/lib/main-fchw.lib has changed
Binary file g23m/__out__/gsm_ac_gp_fd_pu_em_cph_ds_vc_cal35_ri_36_amd8_ts0/lib/main-orig.lib has changed
Binary file g23m/__out__/gsm_ac_gp_fd_pu_em_cph_ds_vc_cal35_ri_36_amd8_ts0/lib/main.lib has changed
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/g23m/select_target.sh	Fri Sep 23 05:45:46 2016 +0000
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+if [ $# != 1 ]
+then
+	echo "usage: $0 target" 1>&2
+	exit 1
+fi
+
+if [ ! -f "targets/$1.h" -o ! -f "targets/$1.inc" ]
+then
+	echo "Error: target $1 not known" 1>&2
+	exit 1
+fi
+
+. "targets/$1.inc"
+
+set -e
+
+gsmlong=gsm_ac_gp_fd_pu_em_cph_ds_vc_cal35_ri_36_amd8_ts0
+
+(cd __out__/$gsmlong/lib; ln -sf "main-$MAIN_variant.lib" main.lib)
+
+mkdir -p __out__/$gsmlong/config
+
+(cd __out__/$gsmlong/config; ln -sf "../../../targets/$1.h" fc-target.cfg)
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/g23m/targets/fcdev3b.h	Fri Sep 23 05:45:46 2016 +0000
@@ -0,0 +1,2 @@
+#define	CONFIG_TARGET_FCDEV3B	1
+#define	CONFIG_TARGET_FCFAM	1
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/g23m/targets/fcdev3b.inc	Fri Sep 23 05:45:46 2016 +0000
@@ -0,0 +1,1 @@
+MAIN_variant=fchw
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/g23m/targets/gtamodem.h	Fri Sep 23 05:45:46 2016 +0000
@@ -0,0 +1,2 @@
+#define	CONFIG_TARGET_GTAMODEM	1
+#define	CONFIG_MOKOFFS		1
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/g23m/targets/gtamodem.inc	Fri Sep 23 05:45:46 2016 +0000
@@ -0,0 +1,1 @@
+MAIN_variant=orig